## textual-textarea 0.15.0

=== Makefile ===
.PHONY: check
check:
	ruff format .
	ruff check . --fix
	mypy
	pytest

.PHONY: lint
lint:
	ruff format .
	ruff check . --fix
	mypy

.PHONY: serve
serve:
	textual run --dev -c python -m textual_textarea

profiles: .profiles/startup.html

.profiles/startup.html: src/scripts/profile_startup.py pyproject.toml $(wildcard src/textual_textarea/**/*.py)
	pyinstrument -r html -o .profiles/startup.html "src/scripts/profile_startup.py"

=== debian/changelog ===
textual-textarea (0.15.0-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:49:07 +0200

textual-textarea (0.15.0-3) sid; urgency=medium

  * Updating to standards version 4.7.2.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 09 Mar 2025 18:14:53 +0100

textual-textarea (0.15.0-2) sid; urgency=medium

  * Using codenames in changelog instead of suitenames.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Mar 2025 08:11:32 +0100

textual-textarea (0.15.0-1) sid; urgency=medium

  * Initial upload to sid, needed for harlequin.

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Feb 2025 11:30:01 +0100

=== debian/control ===
Source: textual-textarea
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/tconbeer/textual-textarea
Vcs-Browser: https://forgejo.debian.net/harlequin/textual-textarea
Vcs-Git: https://forgejo.debian.net/harlequin/textual-textarea

Package: python3-textual-textarea
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: textarea with syntax highlighting and autocompleting for Textual (Python module)
 textual-textarea is a a text area (multi-line input) with syntax highlighting
 and autocomplete for Textual.

=== debian/watch ===
version=4
https://github.com/tconbeer/textual-textarea/tags .*/v?(\d.*)@ARCHIVE_EXT@

## textual-textarea 0.16.0

=== debian/changelog ===
textual-textarea (0.16.0-1) sid; urgency=medium

  * Adding upstream metadata.
  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.16.0.
  * Updating watch file to version 5.
  * Adding newly required python3-hatchling to build-depends.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Oct 2025 07:30:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=textual-textarea

%:
	dh ${@} --buildsystem=pybuild

override_dh_auto_test:
	# disabled

## textual-textarea 0.17.2

=== Makefile ===
.PHONY: check
check:
	uv sync --group static --group test
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy
	uv run pytest

.PHONY: lint
lint:
	uv sync --group static --group test
	uv run ruff format .
	uv run ruff check . --fix
	uv run mypy

.PHONY: serve
serve:
	uv sync --group dev
	uv run textual run --dev -c python -m textual_textarea

profiles: .profiles/startup.html

.profiles/startup.html: src/scripts/profile_startup.py pyproject.toml $(wildcard src/textual_textarea/**/*.py)
	uv sync --group dev
	uv run pyinstrument -r html -o .profiles/startup.html "src/scripts/profile_startup.py"

=== debian/changelog ===
textual-textarea (0.17.2-1) sid; urgency=medium

  * Merging upstream version 0.17.2.

 -- Daniel Baumann <daniel@debian.org>  Sat, 25 Oct 2025 08:12:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-hatchling,
  python3-poetry,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/tconbeer/textual-textarea
 Vcs-Browser: https://forgejo.debian.net/harlequin/textual-textarea
